#include <iostream>
#include <vector>
using namespace std;

int main(){
  int n;
  cin >> n;
  for(int i= 0; i < n; i++){
    int total = 0;
    vector<bool> points(11, false); // true if we're using it as a point
    int r;
    cin >> r;
    for(int j = 0; j < r; j++){
      int next_roll;
      cin >> next_roll;
      if(next_roll == 2 || next_roll == 3 || next_roll == 12){
	//automatic loss
	total = total -1;
      }
      else if(next_roll == 11){
	//automatic win
	total = total + 1;
      }
      else if(next_roll == 7){
	//automatic win on this roll, but loss on all points
	total = total + 1;
	for(int k = 0; k <11; k++){
	  if(points[k]){
	    points[k] = false;
	    total = total -1;
	  }
	}
      }
      else{ // it's a point value.  Score a win if we have that point, 
	// set the point otherwise.
	if(points[next_roll]){
	  total = total +1;
	  points[next_roll] = false;
	}
	else
	  points[next_roll] = true;
      }
    }
    if(total > 0)
      cout << "Sequence " << i+1 << ": Win of $" << total << "." <<endl;
    if(total < 0)
      cout << "Sequence " << i+1 <<": Loss of $" << -1*total << "." <<endl;
    if(total == 0)
      cout << "Sequence " << i+1 << ": Break even" <<"." << endl;
  }
  return 0;
}
